{ pkgs ? import <nixpkgs> {} }:
with pkgs;

buildGoPackage rec {
  name = "quickserv";
  version = "1.0.0";
  goPackagePath = "tulpa.dev/Xe/quickserv";
  src = ./.;
  goDeps = ./deps.nix;
  preBuild = ''
    export CGO_ENABLED=0
    buildFlagsArray+=(-pkgdir "$TMPDIR")
  '';

  allowGoReference = false;
}
